练习:VBA 简介 (VBA/ActiveX)
在本练习中,您将创建一个新的AutoCAD图形,向该图形添加一行文本,然后保存图形,所有这些都来自VBA。
- 在AutoCAD命令提示下,输入vbaide。
- 在 VBA IDE 的 “Project Explorer”窗口中,选择 ThisDrawing 类模块或项目中的代码模块。
- 在菜单栏上,单击“查看菜单代码”以打开 ThisDrawing 类模块的代码窗口。
- 在菜单栏上,单击“插入菜单过程”以在项目中创建新过程。
- 在“添加过程”对话框的“名称”文本框中,键入 HelloWorld。
- 在“类型”部分下,选择“子”。
- 在“范围”部分下,选择“公共”。单击“确定”。
- 在行和行之间输入以下代码。Public Sub HelloWorld()End Sub
' Create a new drawing
ThisDrawing.Application.Documents.Add
Dim insPoint(0 To 2) As Double 'Declare insertion point
Dim textHeight As Double 'Declare text height
Dim textStr As String 'Declare text string
Dim textObj As AcadText 'Declare text object
insPoint(0) = 2 'Set insertion point X coordinate
insPoint(1) = 4 'Set insertion point Y coordinate
insPoint(2) = 0 'Set insertion point Z coordinate
textHeight = 1 'Set text height to 1.0
textStr = "Hello World!" 'Set the text string
'Create the Text object
Set textObj = ThisDrawing.ModelSpace.AddText _
(textStr, insPoint, textHeight)
ThisDrawing.SaveAs("Hello.dwg")
- 在菜单栏上,单击“运行”菜单“运行 Sub/UserForm 以执行 HelloWorld 子例程。
子例程执行完毕后,切换到 AutoCAD 应用程序窗口。文字“Hello World!”应该在您的绘图中可见。绘图名称应为 Hello.dwg。
|